Skip to content

Get payments history

GET
/payments
curl --request GET \
--url https://api.ltesocks.io/v2/payments \
--header 'Authorization: Bearer <token>'

Successful operation

Media typeapplication/json
object
data
Array<object>
object
date
string format: date-time
status
string
Allowed values: success failed
port

Port number

string
amount

Payment amount in cents

integer
balance

Balance at the time of payment

integer
description

Payment description

string
transaction_id

Transaction id

string
page
integer
pageSize
integer
total
integer
Example
{
"data": [
{
"date": "2022-04-03T01:13:50.182Z",
"status": "success",
"port": 10000,
"amount": -10000,
"balance": 25000,
"description": "Port 10000 subscription fee",
"transaction_id": "0000000000"
}
],
"page": 1,
"pageSize": 20,
"total": 7
}

Error

Media typeapplication/json
object
error
required

Error text representation

string
code
required

Error code representation

integer
Example
{
"error": "example error",
"code": 400
}